@echo off
setlocal

if [%1]==[] (
    echo Usage: to compile,  run: RunTest.cmd src
    echo Usage: to run test, run: RunTest.cmd run
    exit /b 0
)    

set JAVA_HOME=c:\Program Files\Java\jdk1.6.0_18
set CXF_HOME=C:\java\apache-cxf-2.1.4
set Keystore_Password=changeit
set CLASSPATH=.;Microsoft.Hpc.Scheduler.jar;CcpEchoSvc.jar;%CXF_HOME%\lib\cxf-manifest.jar

if [%1]==[src] (
    "%JAVA_HOME%\bin\javac" HelloWorld.java
)
if [%1]==[run] (
    "%JAVA_HOME%\bin\java" HelloWorld -Djavax.net.ssl.trustStore="%JAVA_HOME%\jre\lib\security\cacerts" -Djavax.net.ssl.trustStorePassword=%Keystore_Password%
)


